Bug 189219 - Review Request: poker-eval - Poker hand evaluator library
Review Request: poker-eval - Poker hand evaluator library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-18 10:00 EDT by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-23 02:12:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-04-18 10:00:59 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/poker-eval.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/poker-eval-130.0-2.src.rpm

** NOTE ** You may have to download src.rpm directly from:
http://tkmame.retrogames.com/fedora-extras/

Description:

This package is a free (GPL) toolkit for writing programs which
simulate or analyze poker games.
Comment 1 Wart 2006-04-22 02:26:13 EDT
rpmlint output clean.

MUST
====
* Spec file named appropriately
* Source matches upstream
  b6feea367ba1c49d85fb04cf5913e2d9  poker-eval-130.0.tar.gz
* Spec file legible and in Am. English
* No BR: needed
* No locales
* ldconfig called correctly for .so files
* GPL license ok, license file included
* %{buildroot} cleaned appropriately
* macro usage consistent
* contains code, not content
* headers and pkgconfig files in -devel
* un-suffixed library in -devel
* -devel requires base
* No .desktop file needed
* Builds clean in mock on:
  FC-4 i386, FC4-x86_64, FC-5 i386, FC-5 x86_64

SHOULD
======
* You might want to let upstream know about the empty directory named '*'
  in the source tarball.
* You might want to suggest to upstream to include the GPL reference at the top
of the various .c and .h files.
* The C examples would make more sense in an examples/ subdirectory instead of
the top level doc dir.

APPROVED
Comment 2 Christopher Stone 2006-04-23 02:12:39 EDT
- Empty dir '*' in tarball was caused by a bug in automake which has been worked
around in CVS and the directory will be gone in the poker-eval-131 version.
- GPL references have been fixed and will show up in the poker-eval-131 version.
- Spec file has been fixed so that the .c files in devel's %doc are now
contained in a samples/ folder and this will be in release 3 rpm of
poker-eval-130 version.
Comment 3 Hans de Goede 2006-05-06 03:24:26 EDT
Modifying the Summary, because it seems that:
http://fedoraproject.org/wiki/Extras/PackageStatus

Gets confused by the [Games SIG]

Note You need to log in before you can comment on or make changes to this bug.